Package: org.codehaus.groovy.control

## [Java] Interface CompilationUnit.IPrimaryClassNodeOperation

- PhaseOperation

- All Superinterfaces:
    PhaseOperation

      @FunctionalInterface
      public interface CompilationUnit.IPrimaryClassNodeOperation
      extends PhaseOperation

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `call(SourceUnit source, GeneratorContext context, ClassNode classNode)`
    `` | `public void` | `doPhaseOperation(CompilationUnit unit)` A loop driver for applying operations to all primary ClassNodes in our AST.
    `` | `public boolean` | `needSortedInput()`

- - ### Method Detail

    - #### public void call(SourceUnit source, GeneratorContext context, ClassNode classNode)

    - #### @Override
      public void doPhaseOperation(CompilationUnit unit)

      A loop driver for applying operations to all primary ClassNodes in our AST. Automatically skips units that have already been processed through the current phase.

    - #### public boolean needSortedInput()